<?php
include_once 'includes.php';
if(isset($_POST) && $_SERVER['REQUEST_METHOD'] == "POST") {
    $s_tumb = $_POST['s_tumb'];
	// Check the character is utf8 Any number and or alpha numeric character string between 3-50 in length  
    $full_check = preg_match('~^[A-Za-z0-9_. ]{3,50}$~i', $s_tumb);
    if(strlen($s_tumb)>0){
		// If fullname then insert data
       $settings=$Mat->Tumblr_Profile_ID($s_tumb, $uid);
       if($settings){
          $msg="<span class='succ'>Profile details updated.</span>";
          include('public.php');
        }
     }else{
         $msg="<span class='error'>Please give valid Name and About Me.</span>";
  }
}
?>